/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Melisande\Mobiles\EnslavedSatyr.cs
Lines of code: 94
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;
using System.Collections.Generic;
using Server.Targeting;


namespace Server.Mobiles
{
	[CorpseName( "a Enslaved Satyr corpse" )]
	public class EnslavedSatyr : BaseCreature
	{

		[Constructable]
		public EnslavedSatyr() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an Enslaved Satyr";
			Body = 271;

			SetStr( 177, 195 );
			SetDex( 251, 269 );
			SetInt( 153, 170 );

			SetHits( 353, 399 );

			SetDamage( 18, 22 ); 
			
			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 55, 60 );
			SetResistance( ResistanceType.Fire, 26, 35 );
			SetResistance( ResistanceType.Cold, 30, 40 );
			SetResistance( ResistanceType.Poison, 30, 39 );
			SetResistance( ResistanceType.Energy, 30, 39 );

			SetSkill( SkillName.MagicResist, 56.2, 64.3 );
			SetSkill( SkillName.Tactics, 80.1, 99.3 );
			SetSkill( SkillName.Wrestling, 83.9, 98.8 );
			
			SetSkill( SkillName.Musicianship, 100, 120 );
			SetSkill( SkillName.Peacemaking, 100, 120 );
			SetSkill( SkillName.Discordance, 100, 120 );
			SetSkill( SkillName.Provocation, 100, 120 );			

			Fame = 8500;
			Karma = 4500;
			
			PackItem( new BeverageBottle( BeverageType.Wine ));
			PackItem( new CheeseWedge() );
			PackItem( new SatyrPipe() );	
			
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Average );
		}
		
		
		public override bool OnBeforeDeath()
 		{
			PackItem( new BambooFlute() );	
		
			return base.OnBeforeDeath();
	 	}
		
		
		

		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override int TreasureMapLevel{ get{ return 4; } }
		
		public override bool AlwaysMurderer{ get{ return true; } }		
		
		public override bool BardImmune{ get{ return true; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override bool IsMLCreature { get { return true;} }
		 
		public override int GetAngerSound()
		{
			return 1416;
		}

		public override int GetIdleSound()
		{
			return 1415;
		}

		public override int GetAttackSound()
		{
			return 1414;
		}

		public override int GetHurtSound()
		{
			return 1417; 
		}

		public override int GetDeathSound()
		{
			return 1413; 
		}
		
		public override int SuperAI_Intensity{ get{ return 100; } }
			

		public EnslavedSatyr( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

	}
}
